Favorite a Timeline or Timeline template

Base URL
https://{kibana_url}
  • PATCH /api/timeline/_favorite
Auth

Favorite a Timeline or Timeline template for the current user.

Request body

The required fields used to favorite a (template) Timeline.

templateTimelineId string required nullable
templateTimelineVersion number required nullable
timelineId string required nullable
timelineType enum required

The type of Timeline.

Values: default template

Responses

Indicates a successful call.

application/json
favorite object[]
favoriteDate number nullable
fullName string nullable
userName string nullable
savedObjectId string required
templateTimelineId string nullable
templateTimelineVersion number nullable
timelineType enum

The type of Timeline.

Values: default template
version string required

Indicates the user does not have the required permissions to persist the favorite status.

application/json
body string
statusCode number
Base URL
https://{kibana_url}